> For the complete documentation index, see [llms.txt](https://docs.lifev.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lifev.eu/scripts/character/lifevisuals_tattooshop/events.md).

# Events

Alle Events, die lifevisuals\_tattooshop empfängt und sendet, inklusive Beispielcode.

Hier findest du alle Client und Server Events von **lifevisuals\_tattooshop**. Events erlauben eigene Listener und Auslöser, ohne Dateien des Resources zu verändern.

### Events, die du auslösen kannst

Diese Events empfängt das Resource. Triggere sie aus deinem Resource — Berechtigungen und Werte prüft der Server.

| Event                                   | Parameter                          | Wann / wofür        |
| --------------------------------------- | ---------------------------------- | ------------------- |
| `lifevisuals_tattooshop:purchaseTattoo` | `collection, index, paymentMethod` | Tätowierung kaufen. |

```lua
TriggerServerEvent('lifevisuals_tattooshop:purchaseTattoo', _collection, _index, _paymentMethod)
```

### Events, die das Resource sendet

Diese Events feuert das Resource an dich. Hänge eigene Listener dran, um z. B. Logs, Dispatch oder Anzeigen zu ergänzen.

| Event                                    | Richtung | Parameter                | Bedeutung            |
| ---------------------------------------- | -------- | ------------------------ | -------------------- |
| `lifevisuals_tattooshop:purchaseFailed`  | → Client | `src`                    | Kauf fehlgeschlagen. |
| `lifevisuals_tattooshop:purchaseSuccess` | → Client | `src, collection, index` | Kauf erfolgreich.    |

```lua
AddEventHandler('lifevisuals_tattooshop:purchaseFailed', function(payload)
    -- deine Logik
end)
```

<details>

<summary>Framework-Events, die lifevisuals_tattooshop verwendet (1)</summary>

`onResourceStart`

</details>

{% hint style="warning" %}
**Events nie vom Client setzen lassen, was Geld oder Items verändert.** Nutze für Buchungen die [Server-Exports](/scripts/character/lifevisuals_tattooshop/exports.md) — sie laufen auf dem Server und sind damit abgesichert.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lifev.eu/scripts/character/lifevisuals_tattooshop/events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
